Summary:	Postgresql authentication for PAM
Name:		pam-pgsql
Epoch:		1
Version:	0.7.3.1
Release:	%mkrel 14
License:	GPL
Group:		System/Libraries
URL:		https://sourceforge.net/projects/pam-pgsql
Source:		https://downloads.sourceforge.net/pam-pgsql/%{name}-%{version}.tar.gz
Patch0:		pam-pgsql-0.7.3.1-fix-building-with-gcc14.patch
Requires:	pam
BuildRequires: pam-devel
BuildRequires: postgresql-devel
BuildRequires: libmhash-devel
BuildRequires: libgcrypt-devel

%description
This is a module that allows people to login to PAM-aware applications by
authenticating to a Postgresql database.

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install
rm -fr %{buildroot}%{_docdir}/%{name}

mkdir -p %buildroot/%_sysconfdir
cat > %buildroot/%_sysconfdir/pam_pgsql.conf <<EOF
# PAM pgsql configuration files
# Olivier Thauvin <nanardon@nanardon.zarb.org>

# connect - the database connection string
# (see https://www.postgresql.org/docs/7.4/interactive/libpq.html#LIBPQ-CONNECT)

# auth_query      - authentication query (should return one column -- password)
# auth_succ_query - query to be executed after successful authentication
# auth_fail_query - query to be executed after failed authentication
# acct_query      - account options query (should return 3 boolean columns -- expired, new password required and password is null)
# pwd_query       - query to be executed for password changing

# You can use %u as username, %p as (new) password, %h for hostname of client
# as specified by PAM subsystem, %i for IP got by gethostbyname(%h) and %s as
# pa service name in any query. Please don't forget to specify pw_type as %p
# is replaced by password of pw_type form.

connect = dbname=sysdb user=ljb password=sth connect_timeout=15
auth_query = select user_password from account where user_name = %u
acct_query = select (acc_expired = 'y' OR acc_expired = '1'), (acc_new_pwreq = 'y' OR acc_new_pwreq = '1'), (user_password
 IS NULL OR user_password = '') from account where user_name = %u
pwd_query = update account set user_password = %p where user_name = %u
pw_type = crypt_md5

EOF

%files
%doc CREDITS README
%_libdir/security/pam_pgsql.*
%attr(600, root, root) %config(noreplace) %_sysconfdir/pam_pgsql.conf


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1:0.7.3.1-14.mga10
+ Revision: 2228542
- Mageia 10 Mass Rebuild

* Fri Oct 04 2024 ns80 <ns80> 1:0.7.3.1-13.mga10
+ Revision: 2103184
- try to fix building with GCC 14

* Sun Mar 27 2022 umeabot <umeabot> 1:0.7.3.1-12.mga9
+ Revision: 1829232
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1:0.7.3.1-11.mga8
+ Revision: 1515823
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:0.7.3.1-10.mga7
+ Revision: 1300096
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 wally <wally> 1:0.7.3.1-9.mga7
+ Revision: 1239615
- fix build on aarch64

* Fri Feb 12 2016 umeabot <umeabot> 1:0.7.3.1-8.mga6
+ Revision: 956588
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 fwang <fwang> 1:0.7.3.1-7.mga6
+ Revision: 879187
- drop unused doc files
- rebuild for new libgcrypt

* Tue Nov 25 2014 cjw <cjw> 1:0.7.3.1-6.mga5
+ Revision: 798930
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 1:0.7.3.1-5.mga5
+ Revision: 748087
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.7.3.1-4.mga5
+ Revision: 683315
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.7.3.1-3.mga4
+ Revision: 508812
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.7.3.1-2.mga3
+ Revision: 362367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 nanardon <nanardon> 1:0.7.3.1-1.mga3
+ Revision: 280570
- remove file wrongly added by mgarepo
- 0.7.3.1
- remove session patch (merged upstream)
- fix my mail address

* Sat Aug 11 2012 nanardon <nanardon> 1:0.6.4-4.mga3
+ Revision: 280558
- imported package pam-pgsql


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:0.6.4-4mdv2010.0
+ Revision: 430232
- rebuild

  + Olivier Thauvin <nanardon@mandriva.org>
    - add patch url on sourceforge

* Sat Aug 09 2008 Olivier Thauvin <nanardon@mandriva.org> 1:0.6.4-3mdv2009.0
+ Revision: 270053
- allow to run query on session start and close

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.6.4-2mdv2009.0
+ Revision: 268357
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 02 2008 Olivier Thauvin <nanardon@mandriva.org> 1:0.6.4-1mdv2009.0
+ Revision: 214269
- 0.6.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 10 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-4mdv2007.1
+ Revision: 141060
- rebuild
- Import pam-pgsql

* Thu Feb 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-3mdk
- fix upload, change software source

* Sat Feb 04 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-2mdk
- Fix desc and summary

* Sat Feb 04 2006 Olivier Thauvin <nanardon@mandriva.org> 0.9.3
- Initial spec

